Bug 60810 - PS/2 Logitech Mouse not detected
PS/2 Logitech Mouse not detected
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Ben Levenson
:
Depends On:
Blocks: 61901
  Show dependency treegraph
 
Reported: 2002-03-07 00:58 EST by John Cagle
Modified: 2007-04-18 12:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-09 11:25:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Cagle 2002-03-07 00:58:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020301

Description of problem:
I have a Compaq-labeled PS/2 Logitech Wheel Mouse (M/N M-S69) that was working
fine with beta1 but was not detected by beta2, either in Anaconda (doing a GUI
or TUI install) or after installation by Kudzu.
May be a driver problem.  Also, I have only a USB keyboard if that makes any
difference.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to install with the mouse plugged into the PS/2 mouse port.

Additional info:

This is a new Compaq Presario 5430, which comes with a USB keyboard (with a Visa
smart card reader) yet also comes with a PS/2 mouse (not USB)...
Comment 1 Michael Fulbright 2002-03-25 16:04:17 EST
Arjan, did anything change in the PS/2 driver between 2.4.9 and 2.4.18 that
would cause it to act different if there was no keyboard?
Comment 2 Matt Wilson 2002-03-25 16:11:43 EST
Is hotplug to blame?
Comment 3 Trond Eivind Glomsrxd 2002-03-25 16:44:51 EST
I don't see how it could be, as it doesn't try to handle psaux at all, in any way.
Comment 4 Arjan van de Ven 2002-04-09 08:34:43 EDT
I suspect gpm is to blame; I've seen the same however my mouse did just work....
even though anaconda didn't find it
Comment 5 Bill Nottingham 2002-04-09 11:25:24 EDT
gpm isn't running during the install, or at the time kudzu runs.
Comment 6 Arjan van de Ven 2002-04-12 08:35:01 EDT
Ok nailed this bug; the PS/2 code was "improved" for hotplug ps/2 rodents,
however this improvement wasn't. Removed and now my machine finds it's mouse
again.

Note You need to log in before you can comment on or make changes to this bug.